{{- define "deploy_registry" -}}
  {{ .Values.deploy_registry | default "registry.cn-beijing.aliyuncs.com" }}
{{- end -}}
# image
{{- define "image.alertmanager" -}}
  alertmanager:v0.20.0-amd64
{{- end -}}
{{- define "image.mariadb" -}}
  mariadb:10.5.19-amd64
{{- end -}}
{{- define "image.k8s-dashboard" -}}
  k8s-dashboard-imanager:v1.8.3-amd64
{{- end -}}
{{- define "image.elasticsearch" -}}
  elasticsearch:6.8.21-amd64
{{- end -}}
{{- define "image.tiny-tools" -}}
  tiny-tools:3.12-amd64
{{- end -}}
{{- define "image.fluentd-elasticsearch" -}}
  fluentd-kubernetes-daemonset:v1.14-debian-elasticsearch6-1-amd64
{{- end -}}
{{- define "image.kibana" -}}
  kibana-imanager:6.8.21-amd64
{{- end -}}
{{- define "image.metrics-server" -}}
  metrics-server:v0.4.5-amd64
{{- end -}}
{{- define "image.node-exporter" -}}
  node-exporter:v0.15.2-amd64
{{- end -}}
{{- define "image.kube-state-metrics" -}}
  kube-state-metrics:v2.2.0-amd64
{{- end -}}
{{- define "image.phpmyadmin" -}}
  phpmyadmin:5.2.1-amd64
{{- end -}}
{{- define "image.nginx-ingress-controller" -}}
  nginx-ingress-controller:v1.2.1-amd64
{{- end -}}
{{- define "image.prometheus" -}}
  prometheus:v2.41.0-amd64
{{- end -}}
{{- define "image.nfs-client-provisioner" -}}
  nfs-subdir-external-provisioner:v4.0.2-amd64
{{- end -}}
{{- define "image.postgres" -}}
  postgres:10.16-alpine-amd64
{{- end -}}
{{- define "image.blackbox-exporter" -}}
  blackbox-exporter:v0.18.0-amd64
{{- end -}}
{{- define "image.consul" -}}
  consul:1.7.14-amd64
{{- end -}}
{{- define "image.redis" -}}
  redis:6.2.1-amd64
{{- end -}}
{{- define "image.blackbox-exporter-proxy" -}}
  blackbox-exporter-proxy:1.0-amd64
{{- end -}}
{{- define "image.ssl-exporter" -}}
  ssl-exporter:2.4.2-amd64
{{- end -}}
# others
{{- define "elasticsearch_xpack_ml_enable" -}}
  true
{{- end -}}
